services:
    - docker:dind

variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2

build:
    image: maven:3-jdk-8
    stage: build
    script:
    - mvn clean install
    artifacts:
        paths:
            - ./target/*.jar